@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    scrollbar-color: dark;
}

body,
html {
    height: 100%;
    width: 100%;
    font-family: "Roboto", sans-serif;
    background-color: #0F0F0F;
    display: flex;
    justify-content: center;
    
}

header {
    width: 96%;
    height: 9vh;
    background-color: #0F0F0F;
    padding: 0 2.5% 0 2.5%;
    opacity: 95%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    gap: 15px;
    margin-bottom: 1vh;
    z-index: 1000;
}

#header1,
#header2,
#header3 {
    height: 100%;
    display: flex;
    align-items: center;
    gap: 15px;
}

header i {
    font-size: 4.5vh;
    color: rgb(214, 214, 212);
    block-size: light;
    padding: 1vh;
    border-radius: 50%;

}

header i:hover {
    background-color: #272727;
}

.logo {
    width: 20vh;
    height: 6.5vh;
    background-color: #0F0F0F;
}

.searchbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 50px;
    border: 1px solid #303030;
    overflow: hidden;
    width: 45vw;
    height: 6vh;
}

.searchbar-input {
    color: whitesmoke;
    font-size: 16px;
    padding-left: 2vw;
    width: 37.6vw;
    height: 100%;
    background-color: #121212;
    border: none;
}

.searchbar-button {
    background-color: #222222;
    border: none;
    border-left: 1px solid #303030;
    width: 11.4vh;
    height: 100%;
    position: relative;
    right: 0;
}

.searchbar-button i {
    font-size: 3.6vh;
    color: rgb(214, 214, 212);
}

.microphone {
    height: 6.5vh;
    width: 6.5vh;
    border-radius: 50%;
    border: none;
    background-color: #222222;
}

.microphone i {
    font-size: 20px;
    color: rgb(214, 214, 212);
}

.microphone:hover {
    background-color: #272727;
}

.create {
    height: 6vh;
    width: 15vh;
    border-radius: 50px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    color: rgb(214, 214, 212);
    background-color: #222222;
}

.create i {
    font-size: 23px;
    color: rgb(214, 214, 212);
}

.create-text {
    font-size: 14px;
    position: relative;
    left: -8px;
}

.notification {
    width: 6.5vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.notification i {
    font-size: 24px;
    color: rgb(214, 214, 212);
}

.notification-count {
    color: rgb(214, 214, 212);
    background-color: #E1002D;
    padding: 0.1vh 0.5vh 0.1vh 0.5vh;
    font-size: 2vh;
    border-radius: 11px;
    position: relative;
    top: -8px;
    left: -16px;
}

.user {
    width: 5vh;
    height: 5vh;
    border-radius: 50%;
}

#main-container {
    width: 100%;
    min-height: 98%;
    display: flex;
}

#container1 {
    width: 17%;
    height: 90vh;
    overflow-y: scroll;
    scrollbar-color: #272727 #0f0f0f;
    scrollbar-width: thin;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10vh;
}

.c1-part1 {
    width: 90%;
    height: 21vh;
    display: flex;
    flex-direction: column;
    padding-top: 1vh;
    border-bottom: 1px solid #303030;

}

.c1-div {
    width: 100%;
    height: 6.2vh;
    border-radius: 11px;
    display: flex;
    align-items: center;
}

#c1-div-home {
    background-color: #272727;

}

#c1-div {
    display: none;
}

.c1-div:hover {
    background-color: #272727;
}

.c1-div i,
.c1-div svg {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 23px;
    margin-left: 1.5vh;
    width: 5vh;
    height: 95%;
    color: white;
}

#c1-div i {
    height: 36.67px;
}

.c1-div img {
    width: 5vh;
    height: 5vh;
    border-radius: 50%;
    margin-left: 1.5vh;
}

.c1-text {
    font-size: 2.15vh;
    color: white;
    margin-left: 3vh;
    font-weight: 400;
}

.c1-text2 {
    font-size: 2.1vh;
    color: whitesmoke;
    margin-bottom: 2vh;
    margin-left: 3vh;
    font-weight: 400;
    line-height: 3vh;
}

.c1-heading {
    font-size: 2.6vh;
    color: white;
    margin-left: 3vh;
}

.c1-part2 {
    width: 90%;
    height: 45vh;
    /* background-color: saddlebrown; */
    padding-top: 2vh;
    border-bottom: 1px solid #272727;
}

.c1-part3 {
    width: 90%;
    height: 50vh;
    padding-top: 2vh;
    border-bottom: 1px solid #272727;
}

.c1-part4 {
    width: 90%;
    height: 63.2vh;
    padding-top: 2vh;
    border-bottom: 1px solid #272727;
}

.c1-part5 {
    width: 90%;
    height: 33vh;
    padding-top: 2vh;
    border-bottom: 1px solid #272727;
}

.c1-part6 {
    width: 90%;
    height: 26vh;
    padding-top: 2vh;
    border-bottom: 1px solid #272727;
}

.c1-part7 {
    width: 90%;
    height: 26vh;
    padding-top: 2vh;
    border-bottom: 1px solid #272727;
}

#container2 {
    width: 83%;
    height: 90vh;
    overflow-y: scroll;
    scrollbar-color: #272727 #0f0f0f;
    scrollbar-width: thin;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 9vh;
}

.c2-part1 {
    width: 100%;
    height: 8vh;
    position: fixed;
    left: 17.5vw;
    overflow-x: hidden;
    display: flex;
    justify-content: baseline;
    padding-left: 2vh;
    gap: 2vh;
    align-items: center;
    background-color: #0F0F0F;
    opacity: 95%;
    z-index: 100;
}

.c2-part1 button {
    height: 5.3vh;
    padding: 0 2vh 0 2vh;
    border: none;
    flex-shrink: 0;
    border-radius: 6px;
    display: flex;
    align-items: center;
    text-align: center;
    font-weight: 400;
    background-color: #272727;
    color: whitesmoke;
}

.c2-part2 {
    min-height: 26vw;
    margin-top: 8vh;
    width: 97%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

}

.c2-sponsor-div,
.c2-video {
    margin-top: 3vh;
    width: 26vw;
    height: 26vw;
    border-radius: 11px;
}

.c2-screen {
    justify-self: center;
    width: 99%;
    height: 14.5vw;
    border-radius: 11px;
    overflow: hidden;

}

.c2-screen img {
    width: 100%;
    height: 100%;
}

.c2-screen video {
    display: none;
}

.duration {
    position: relative;
    top: -2vw;
    left: 23vw;
    background-color: #0F0F0F;
    opacity: 95%;
    border-radius: 2px;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 18px;
    width: 35px;
    color: white;
}

.c2-screen-button {
    position: relative;
    top: -4vw;
    left: 22vw;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #272727;
    opacity: 65%;
}

.c2-screen-button i {
    font-size: 3vw;
    color: white;
}

.c2-sd-part2 {
    width: 100%;
    height: 6vw;
    margin-top: 1vw;
    display: flex;
}

.c2-vdo-logo {
    margin-top: 0.2vw;
    width: 2.5vw;
    height: 2.5vw;
    border-radius: 50%;
}

.c2-vdo-desc {
    margin-left: 1.2vw;
    width: 85%;
}

.c2-vdo-desc1 {
    font-size: 1.2vw;
    line-height: 1.6vw;
    color: white;
}

.c2-vdo-desc2 {
    margin-top: 0.3vw;
    display: flex;
}

.sponsored {
    font-size: 1.15vw;
    color: whitesmoke;
}

.channel-name {
    font-size: 1.05vw;
    color: whitesmoke;
    opacity: 60%;
}

.channel-name i {
    font-size: 18px;
    position: relative;
    top: 5px;
    color: whitesmoke;
}

.c2-vdo-button {
    border: none;
    background-color: #0F0F0F;
    color: white;
    display: flex;
}

.c2-vdo-button i {
    font-size: 25px;
}

.c2-sd-part3 {
    width: 100%;
    display: flex;
}

.c2-sd-button {
    border: 1px solid #444444;
    background-color: #0F0F0F;
    display: flex;
    width: 15vw;
    height: 2.6vw;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: none;
    border-radius: 20px;
    color: #3CA3FB;
    font-size: 1.15vw;
}

#c2-sd-button2 {
    margin-left: 10px;
    background-color: #263850;
}

/* .c2-part3{
     background-color: red;
     width: 90%;
     height: 100vh;
} */

@media (max-width:1312px) {
    #container1 {
        width: 15vh;
    }

    .c1-part1 {
        height: 70%;
        border: none;
        justify-content: space-around;
    }

    .c1-div {
        height: 10vh;
        flex-direction: column;
        justify-content: space-around;
    }

    #c1-div-home {
        background-color: #0F0F0F;
    }

    #c1-div {
        display: flex;
        justify-content: center;
    }

    .c1-div:hover {
        background-color: #0F0F0F;
    }

    .c1-div img {
        display: flex;
    }

    .c1-div i,
    .c1-div svg,
    .c1-div img {
        margin-left: 0;
    }

    .c1-text {
        margin-left: 0;
        margin-top: 1vh;
        text-align: center;
        font-size: 10px;
    }

    .c1-part2,
    .c1-part3,
    .c1-part4,
    .c1-part5,
    .c1-part6,
    .c1-part7 {
        display: none;
    }

    #container2 {
        width: 93.5vw;
    }

    .c2-screen {
        height: 15.5vw;
        margin-top: 0.35vw;
    }

    .c2-video,
    .c2-sponsor-div {
        width: 28vw;
        height: 32vw;
    }

    .duration {
        left: 23vw;
        top: -2.7vw;
    }

    .c2-screen-button {
        left: 22.7vw;
        top: -4.5vw;
        height: 3.4vw;
        width: 3.4vw;
    }

    .c2-vdo-desc1 {
        font-size: 1.3vw;
    }

    .channel-name {
        font-size: 1.15vw;
    }

    .c2-sd-button {
        height: 2.85vw;
    }

    .c2-part1 {
        left: 7vw;
    }

    .c2-part2 {
        margin-top: 12vw;
    }
}

@media (max-width:1000px) {
    /* #video3 {
        display: none;
    } */

    .c2-part2 {
        height: 36vw;
        margin-top: 12vw;
        width: 100%;
        justify-content: space-around;
    }

    .c2-screen {
        height: 24vw;
        margin-top: 0.35vw;

    }

    .c2-screen-button {
        left: 36.5vw;
        top: -6vw;
        height: 4.5vw;
        width: 4.5vw;
    }

    .duration {
        left: 36.5vw;
        top: -3.5vw;
    }

    .c2-video,
    .c2-sponsor-div {
        width: 43vw;
        height: 36vw;
        /* margin-top: 18vh; */
    }

    .c2-vdo-desc1 {
        font-size: 1.8vw;
        line-height: 2vw;
    }

    .channel-name {
        font-size: 1.5vw;
    }

    .sponsored {
        font-size: 1.55vw;
    }

    .c2-part1 {
        left: 7vw;
    }

    .c2-sd-button {
        height: 3.5vw;
        margin-top: 1vw;
        width: 35vw;
        font-size: 1.4vw;
    }


}

@media (max-width:800px) {
    #container1 {
        display: none;
    }
    #container2 {
        width: 100%;
    }
    .c2-part2{
        width: 95%;
        margin-top: 100px;
    }
    .c2-sponsor-div,
    .c2-video {
        width: 49%;
    }


}
@media (max-width:650px) {
    /* #video2 {
        display: none;
    } */

    .c2-part1 {
        left: 0;
    }

    .c2-part2 {
        width: 90%;
        margin-top: 100px;
        height: 74vw;
        border-radius: 11px;
    }

    .c2-sponsor-div, .c2-video {
        width: 100%;
        height: 100%;
    }

    .c2-screen {
        height: 50vw;
        margin-top: 0.35vw;
    }

    .c2-screen-button {
        left: 75vw;
        top: -11vw;
        width: 8vw;
        height: 8vw;
    }

    .c2-screen-button i {
        font-size: 6vw;
    }

    .c2-vdo-desc1 {
        font-size: 3.4vw;
        line-height: 4vw;
        margin-top: 1vw;
    }

    .channel-name {
        margin-top: 0.8vw;
        font-size: 2.5vw;
    }

    .sponsored {
        margin-top: 0.8vw;
        font-size: 2.55vw;
    }

    .c2-part1 {
        left: 7vw;

    }

    .c2-vdo-logo {
        width: 5vw;
        height: 5vw;
    }

    .c2-sd-button {
        height: 6.5vw;
        margin-top: 9vw;
        width: 50vw;
        font-size: 2.6vw;
    }

}